diff -uNr trunk.ORIG/ilcsoft/geant4.py trunk/ilcsoft/geant4.py
--- trunk.ORIG/ilcsoft/geant4.py	2013-12-02 12:09:42.000000000 +0900
+++ trunk/ilcsoft/geant4.py	2013-12-07 13:51:54.000000000 +0900
@@ -166,7 +166,7 @@
             if self.envcmake.has_key( "XERCESC_ROOT_DIR" ):
                 import platform
                 if platform.architecture()[0] == '64bit':
-                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib64" )
+                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
                 else:
                     self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
 
diff -uNr trunk.ORIG/ilcsoft/mokka.py trunk/ilcsoft/mokka.py
--- trunk.ORIG/ilcsoft/mokka.py	2013-12-02 12:09:41.000000000 +0900
+++ trunk/ilcsoft/mokka.py	2013-12-07 13:51:54.000000000 +0900
@@ -74,9 +74,9 @@
             # TODO for grid binary: export G4VIS_NONE (no visualization drivers built or used)
 
             if self.rebuild:
-                os.system( ". ../build_env.sh ; make clean 2>&1 | tee -a "+self.logfile )
+                os.system( ". ../build_env.sh ; unset DYLD_LIBRARY_PATH; make clean 2>&1 | tee -a "+self.logfile )
                 
-            if( os.system( ". ../build_env.sh ; make -j1 2>&1 | tee -a "+self.logfile ) != 0 ):
+            if( os.system( ". ../build_env.sh ; unset DYLD_LIBRARY_PATH; make -j1 2>&1 | tee -a "+self.logfile ) != 0 ):
                 self.abort( "failed to compile!!" )
         else:
             trymakedir( self.installPath + "/build" )
diff -uNr trunk.ORIG/ilcsoft/mysql.py trunk/ilcsoft/mysql.py
--- trunk.ORIG/ilcsoft/mysql.py	2013-12-02 12:09:41.000000000 +0900
+++ trunk/ilcsoft/mysql.py	2013-12-07 13:51:54.000000000 +0900
@@ -36,11 +36,9 @@
         self.env["MYSQL"] = "$MYSQL_HOME"
         self.env["MYSQL_PATH"] = "$MYSQL_HOME" # needed for mokka
         if platform.architecture()[0] == '64bit':
-            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib64/mysql" # needed for mokka
+            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib/mysql" # needed for mokka
 
         self.envpath["PATH"].append( "$MYSQL_HOME/bin" )
-        self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib64/mysql" )
-        self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib64" )
         self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib/mysql" )
         self.envpath["LD_LIBRARY_PATH"].append( "$MYSQL_HOME/lib" )
 
diff -uNr trunk.ORIG/releases/v01-17-06/release-osx.cfg trunk/releases/v01-17-06/release-osx.cfg
--- trunk.ORIG/releases/v01-17-06/release-osx.cfg	2014-08-25 15:45:54.000000000 +0900
+++ trunk/releases/v01-17-06/release-osx.cfg	2014-09-12 18:05:07.000000000 +0900
@@ -0,0 +1,310 @@
+##############################################################################
+#
+# Configuration file for installing ILC Software release v01-14
+#
+# This cfg file assumes the base-level tools from release_v01-14-base.cfg
+# are already installed and available in your system (base-level tools are the
+# tools which are set as 'ilcsoft.link' at the end of this file
+#
+# If you do not have this tools available on your system you can install them
+# with the configuration file release_v01-14-base.cfg or alternatively
+# install all software with release_v01-14-scratch.cfg (please check
+# release_v01-14-base.cfg for more details)
+#
+# Please do not forget to modify the directories in this cfg file
+# according to your system !!
+#
+# Author: F. Gaede, J. Engels, DESY
+# Date: Jun 30, 2010
+#
+##############################################################################
+
+import os, sys
+
+# read package versions from external file
+path_where_this_file_lives = os.path.dirname( config_file )
+versions_file = os.path.join( path_where_this_file_lives, "release-versions.py" )
+execfile( versions_file )
+
+# installation directory
+if not 'ilcsoft_install_dir' in dir():
+    if not 'ilcsoft_install_prefix' in dir():
+        # default install prefix
+        ilcsoft_install_prefix = "$HOME/ilcsoft"
+
+    ilcsoft_install_dir = os.path.join( ilcsoft_install_prefix, ilcsoft_release )
+
+ilcsoft = ILCSoft( ilcsoft_install_dir )
+
+
+# python variable for referring the ILC Home directory
+# used to link or use already installed packages (SL5)
+# --- set in release-versions.py ---
+#ilcPath = "/afs/desy.de/group/it/ilcsoft/"
+#ilcPath = '/afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/'
+ilcPath = "/proj/soft/ilcsoft/"
+if not 'ilcPath' in dir():
+    "raise ilcPath not set"
+
+ilcPath = os.path.normpath( ilcPath ) + '/' # make sure there it ends with /
+
+# global options
+ilcsoft.env["MAKEOPTS"]="-j4"
+ilcsoft.env["CXX"]="g++"
+ilcsoft.env["CC"]="gcc"
+ilcsoft.env["FC"]="gfortran"
+if( ilcsoft.os.isSL(4) ):
+    ilcsoft.env["FC"]="g77"
+
+#--------- uncomment the following to build 32-bit mode on 64bit machines---
+# default is now 64bit-native build
+#
+#ilcsoft.env["CXXFLAGS"]="-m32"
+#ilcsoft.env["CFLAGS"]="-m32"
+#ilcsoft.env["FFLAGS"]="-m32"
+#ilcsoft.env["LDFLAGS"]="-m32"
+
+#--------- set to 'OFF' to build 64-bit natively -------
+ilcsoft.envcmake["BUILD_32BIT_COMPATIBLE"]="OFF"
+#----------------------------------------------------------------
+
+# ----- build and install documentation -------------
+#ilcsoft.envcmake["INSTALL_DOC"]="ON"
+ilcsoft.envcmake["INSTALL_DOC"]="OFF"
+
+
+ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "Debug"
+#ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "RelWithDebInfo"
+ilcsoft.envcmake["CMAKE_VERBOSE_MAKEFILE"]= "ON"
+ilcsoft.downloadType = "svn"
+
+# additional system pathes for FIND_LIBRARY, FIND_PATH
+#-----------------------------------------------
+#ilcsoft.env["CMAKE_LIBRARY_PATH"]="/usr/lib/gcc/i386-redhat-linux/3.4.3:/another/path/lib"
+#ilcsoft.env["CMAKE_INCLUDE_PATH"]="/usr/include/c++/3.4.3:/another/path/include"
+#-----------------------------------------------
+
+
+###########################################################
+
+ilcsoft.install( LCCD( LCCD_version ))
+
+ilcsoft.install( Marlin( Marlin_version ))
+ilcsoft.module("Marlin").envcmake["MARLIN_GUI"]='ON'
+
+ilcsoft.install( MarlinUtil( MarlinUtil_version ))
+
+
+ilcsoft.install( Mokka( Mokka_version ))
+ilcsoft.module("Mokka").envcmake["WITH_GEANT4_UIVIS"]='ON'
+#ilcsoft.module("Mokka").env["MOKKA_DEBUG"]=1
+#ilcsoft.module("Mokka").env["MOKKA_PACK_LIBS"]=1 # FIXME: CAUSES TOO MUCH LIB DEPENDENCIES .... TO BE SOLVED !!
+
+#----------  standard reco packages
+
+ilcsoft.install( MarlinReco( MarlinReco_version )) 
+
+ilcsoft.install( PandoraAnalysis( PandoraAnalysis_version ))
+ilcsoft.install( PandoraPFANew( PandoraPFANew_version ))
+ilcsoft.module("PandoraPFANew").envcmake["PANDORA_MONITORING"]='ON'
+ilcsoft.install( MarlinPandora( MarlinPandora_version ))
+
+
+ilcsoft.install( LCFIVertex( LCFIVertex_version ))
+
+ilcsoft.install( CEDViewer( CEDViewer_version )) 
+
+ilcsoft.install( Overlay( Overlay_version ))  
+
+#ilcsoft.install( FastJetClustering( FastJetClustering_version ))
+
+#ilcsoft.install( MarlinPKG( "MarlinFastJet", MarlinFastJet_version ))
+#ilcsoft.module("MarlinFastJet").download.root="marlinreco"
+#ilcsoft.module("MarlinFastJet").addDependency( [ 'LCIO', 'Marlin', 'FastJet'] )
+
+ilcsoft.install( MarlinPKG( "LCTuple", LCTuple_version ))
+ilcsoft.module("LCTuple").download.root="marlinreco"
+ilcsoft.module("LCTuple").addDependency( [ 'LCIO', 'Marlin', 'ROOT'] )
+
+ilcsoft.install( MarlinPKG( "MarlinKinfit", MarlinKinfit_version ))
+ilcsoft.module("MarlinKinfit").download.root="marlinreco"
+ilcsoft.module("MarlinKinfit").addDependency( [ 'LCIO', 'GEAR', 'GSL', 'Marlin'] )
+
+ilcsoft.install( MarlinTrk( MarlinTrk_version ))
+ilcsoft.install( KiTrack( KiTrack_version ))
+ilcsoft.install( KiTrackMarlin( KiTrackMarlin_version ))
+
+ilcsoft.install( MarlinPKG( "MarlinTrkProcessors", MarlinTrkProcessors_version ))
+ilcsoft.module("MarlinTrkProcessors").download.root="marlinreco"
+ilcsoft.module("MarlinTrkProcessors").addDependency( [ 'LCIO', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'KalTest', 'KalDet', 'MarlinTrk', 'KiTrack', 'KiTrackMarlin'] )
+
+ilcsoft.install( MarlinPKG( "Clupatra", Clupatra_version ))
+ilcsoft.module("Clupatra").download.root="marlinreco"
+ilcsoft.module("Clupatra").addDependency( [ 'LCIO', 'ROOT', 'RAIDA', 'Marlin', 'MarlinUtil', 'KalTest', 'MarlinTrk' ] )
+
+ilcsoft.install( MarlinPKG( "Physsim", Physsim_version ))
+ilcsoft.module("Physsim").download.root="physsim"
+ilcsoft.module("Physsim").addDependency( [ 'LCIO', 'ROOT', 'Marlin' ] )
+
+ilcsoft.install( MarlinPKG( "LCFIPlus", LCFIPlus_version ))
+ilcsoft.module("LCFIPlus").download.root="marlinreco"
+ilcsoft.module("LCFIPlus").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'Marlin', 'MarlinUtil', 'LCFIVertex'] )
+
+ilcsoft.install( MarlinPKG( "ForwardTracking", ForwardTracking_version ))
+ilcsoft.module("ForwardTracking").download.root="marlinreco"
+ilcsoft.module("ForwardTracking").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'MarlinTrk'] )
+
+
+
+#---------test beam packages 
+
+#ilcsoft.install( Eutelescope( Eutelescope_version ))
+#ilcsoft.module("Eutelescope").env['EUDAQ_VERSION']='trunk'
+#ilcsoft.module("Eutelescope").env['MILLEPEDEII_VERSION']='trunk'
+
+
+ilcsoft.install( PathFinder( PathFinder_version ))
+ilcsoft.install( MarlinTPC( MarlinTPC_version ))
+
+ilcsoft.install( BBQ( BBQ_version ))
+
+ilcsoft.install( Druid( Druid_version ))
+
+ilcsoft.install( Garlic( Garlic_version ))
+
+
+
+ilcsoft.install( RAIDA( RAIDA_version ))
+
+ilcsoft.install( KalTest( KalTest_version ))
+ilcsoft.install( KalDet( KalDet_version ))
+
+ilcsoft.install( GBL ( GBL_version ) )
+
+#------ slic et al
+#ilcsoft.link( XercesC( ilcPath + "xercesc/" + XercesC_version ))
+ilcsoft.use( XercesC( "/usr/osxws" ))
+
+ilcsoft.install( HepPDT( HepPDT_version ))
+ilcsoft.install( GDML( GDML_version ))
+#ilcsoft.install( LCDD( LCDD_version ))
+#ilcsoft.install( SLIC( SLIC_version ))
+#fixme: does not build...
+#ilcsoft.install( SlicPandora( SlicPandora_version ))
+#-----------------
+
+# DD4hep
+ilcsoft.install( DD4hep( DD4hep_version )) 
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEANT4"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_LCIO"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_XERCESC"]=0
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_PYROOT"]=0
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEAR"]=1
+
+ilcsoft.install( DDSim( DDSim_version )) 
+
+####################################################################
+#
+# the following tools are installed in afs:
+#
+# - for SL5 (32bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/
+#
+# - for SL5 (64bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/x86_64_gcc41_sl5
+#
+# they can be linked from there or need to be installed on your system
+#
+####################################################################
+
+
+#----- configs ------------------------------------------------------
+#ilcsoft.link( ConfigPKG( "StandardConfig", ilcPath + "StandardConfig/" + StandardConfig_version ) )
+#stdconf = ilcsoft.module( "StandardConfig")
+#stdconf.env["STANDARDCONFIG"]=stdconf.installPath
+#
+#ilcsoft.link( ConfigPKG( "MokkaDBConfig", ilcPath + "MokkaDBConfig/" + MokkaDBConfig_version ) ) 
+#mokkadbconf = ilcsoft.module( "MokkaDBConfig")
+#mokkadbconf.download.root = "ilctools"
+#mokkadbconf.envorder=["MOKKADBCONFIG"]
+#mokkadbconf.env["MOKKADBCONFIG"]=mokkadbconf.installPath
+#mokkadbconf.env["MOKKA_DUMP_FILE"]="$MOKKADBCONFIG/mokka-dbdump.sql.tgz"
+#mokkadbconf.envpath["PATH"].append( "$MOKKADBCONFIG/scripts" )
+#
+#ilcsoft.link( ConfigPKG( "LCFI_MokkaBasedNets", ilcPath + "LCFI_MokkaBasedNets/" + LCFI_MokkaBasedNets_version ) )
+#lcfinets=ilcsoft.module( "LCFI_MokkaBasedNets" )
+#lcfinets.download.root = "tagnet"
+#lcfinets.env["LCFIMOKKABASEDNETS"]=lcfinets.installPath
+#--------------------------------------------------------------------
+
+#ilcsoft.link( CED( ilcPath + "CED/" + CED_version ))
+ilcsoft.install( CED( CED_version ))
+ilcsoft.module("CED").envcmake['CED_SERVER']='ON'
+
+#ilcsoft.link( LCIO( ilcPath + "lcio/" + LCIO_version ))
+ilcsoft.install( LCIO( LCIO_version ))
+#ilcsoft.link( LCIO( "/opt/lcio/" + LCIO_version ))
+
+#----- this will build the optional ROOT dictionary for LCIO -----
+#------ set to OFF  if you don't want it
+ilcsoft.module("LCIO").envcmake['BUILD_ROOTDICT']='ON'
+#ilcsoft.module("LCIO").envcmake['INSTALL_DOC']='OFF'
+#ilcsoft.module("LCIO").envcmake['ROOT_HOME']='${ROOTSYS}'
+#ilcsoft.module("LCIO").envcmake["BUILD_WITH_DCAP"]="ON"
+# it is recommended to use the LD_PRELOAD mechanism for opening lcio files in dCache
+#ilcsoft.link( dcap( ilcPath + "dcap/" + dcap_version ))
+
+#ilcsoft.link( GEAR( ilcPath + "gear/" + GEAR_version ))
+ilcsoft.install( GEAR( GEAR_version ))
+ilcsoft.module("GEAR").envcmake['GEAR_TGEO']='ON'
+
+
+#ilcsoft.link( FastJet( ilcPath + "FastJet/" + FastJet_version ))
+
+#ilcsoft.link( ROOT( ilcPath + "root/" + ROOT_version ))
+ilcsoft.use( ROOT( "/opt/root/" + ROOT_version ))
+
+#ilcsoft.link( CLHEP( ilcPath + "CLHEP/" + CLHEP_version ))
+ilcsoft.use( CLHEP( "/opt/clhep/" + CLHEP_version ))
+
+#ilcsoft.link( GSL( ilcPath + "gsl/" + GSL_version ))
+ilcsoft.use( GSL( "/usr/osxws" ))
+
+#ilcsoft.link( QT( ilcPath + "QT/" + QT_version ))
+#ilcsoft.link( Geant4( ilcPath + "geant4/" + Geant4_version ))
+ilcsoft.link( Geant4( "/opt/g4/" + Geant4_version ))
+ilcsoft.module("Geant4").env["G4ENV_INIT"] = '/opt/g4/' + Geant4_version + '/bin/geant4.sh'
+
+#ilcsoft.link( CondDBMySQL( ilcPath + "CondDBMySQL/" + CondDBMySQL_version ))
+ilcsoft.install( CondDBMySQL( CondDBMySQL_version )) 
+
+# cernlib
+if 'CERNLIB_path' in dir():
+    ilcsoft.link( CERNLIB( CERNLIB_path ))
+
+# geant4
+#if 'Geant4_path' in dir():
+#    ilcsoft.use( Geant4 ( Geant4_path ))
+#    if 'G4ENV_INIT_path' in dir():
+#        ilcsoft.module("Geant4").env["G4ENV_INIT"] = G4ENV_INIT_path
+
+# mysql
+if 'MySQL_path' in dir():
+    ilcsoft.link( MySQL( MySQL_path ))
+
+# Java
+if 'Java_path' in dir():
+    ilcsoft.link( Java( Java_path ))
+
+# cmake
+#ilcsoft.use( CMake( ilcPath + "CMake/" + CMake_version ))
+ilcsoft.use( CMake( "/usr/osxws" ))
+
+#ilcsoft.link( ILCUTIL( ilcPath + "ilcutil/" + ILCUTIL_version ))
+ilcsoft.install( ILCUTIL( ILCUTIL_version ))
+
+
+# end of configuration file
+
diff -uNr trunk.ORIG/releases/v01-17-06/release-versions.py trunk/releases/v01-17-06/release-versions.py
--- trunk.ORIG/releases/v01-17-06/release-versions.py	2014-08-25 15:44:37.000000000 +0900
+++ trunk/releases/v01-17-06/release-versions.py	2014-09-12 16:40:48.000000000 +0900
@@ -14,9 +14,11 @@
 
 # --------- install dir ------------------------------------------------------
 #ilcsoft_install_prefix = "/scratch/$USER/ilcsoft/"
-ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
+#ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
+#ilcsoft_install_prefix = ilcsoft_afs_path[ gcc ]
 #ilcsoft_install_prefix = "/space/ilcsoft/"
 #ilcsoft_install_prefix = "/scratch/rosem/ilcsoft/"
+ilcsoft_install_prefix = "/proj/soft/ilcsoft/"
 
 
 #ilcsoft_install_dir = os.path.join( ilcsoft_install_prefix, ilcsoft_release )
@@ -41,19 +43,24 @@
 # please adjust the path variables accordingly
 
 # ----- mysql --------------------------------------------------------
-MySQL_version = "5.0.45"
-MySQL_path = ilcPath + "/mysql/" + MySQL_version
+#MySQL_version = "5.0.45"
+MySQL_version = "5.1.73"
+#MySQL_path = ilcPath + "/mysql/" + MySQL_version
 #MySQL_path = "/usr"
+MySQL_path = "/usr/osxws"
 
 
 # ----- java ---------------------------------------------------------
-Java_version = "1.6.0"
-Java_path = ilcPath + "/java/" + Java_version # comment out to try auto-detect
+#Java_version = "1.6.0"
+Java_version = "1.7.0_45"
+#Java_path = ilcPath + "/java/" + Java_version # comment out to try auto-detect
+Java_path = "/Library/Java/Home"
 
 
 # ----- CERNLIB ------------------------------------------------------
 CERNLIB_version = "2006" 
-CERNLIB_path = ilcPath + "/cernlib/" + CERNLIB_version
+#CERNLIB_path = ilcPath + "/cernlib/" + CERNLIB_version
+CERNLIB_path = "/cern/" + CERNLIB_version
 
 
 
@@ -61,19 +68,25 @@
 
 # ======================= PACKAGE VERSIONS ===================================
 
-Geant4_version = "9.5.p02" 
+#Geant4_version = "9.5.p02" 
+Geant4_version = "9.6.p02"
 #version 10.00 is on disk
 
-ROOT_version = "5.34.18" 
+#ROOT_version = "5.34.18" 
+ROOT_version = "5.34.19" 
 
 #CLHEP_version = "2.1.4.1" already on disk -- needed for geant4.10
-CLHEP_version = "2.1.1.0" # needed for g4 9.5   # ----- "2.1.3.1"
+#CLHEP_version = "2.1.1.0" # needed for g4 9.5   # ----- "2.1.3.1"
+CLHEP_version = "2.2.0.1"
 
-GSL_version = "1.14"
+#GSL_version = "1.14"
+GSL_version = "1.16"
 
-QT_version = "4.7.4"
+#QT_version = "4.7.4"
+QT_version = "4.8.6"
 
-CMake_version = "2.8.5"
+#CMake_version = "2.8.5"
+CMake_version = "2.8.12.2"
 
 
 # -------------------------------------------
